Bug 369921 - Patch to bttv-input.c to make it work with WINFAST2000XP remote under /dev/input
Patch to bttv-input.c to make it work with WINFAST2000XP remote under /dev/input
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-07 12:15 EST by Need Real Name
Modified: 2008-01-14 03:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 03:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for lirc winfast2000XP (612 bytes, text/plain)
2007-11-07 12:15 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2007-11-07 12:15:36 EST
Description of problem:
As is probably well-known, kernel 2.6.22 "broke" the lirc-gpio module method of
accessing various bt88x remotes under lirc, leaving the /dev/input method as the
only alternative.

Unfortunately, the Leadtek WINFAST TV2000XP ir controller which is a bt88x card
does not work unless bttv-input.c is patched. There is a patch that can be found
on the Internet but the value it uses for ir->mask_keycode masks some keys on
the deluxe remote resulting in dead and duplicate keys. Instead, one should use:
ir->mask_keycode = 0x8f8.

I would suggest that the following patch be added to bttv-input.c (which is used
to compile the bttv.ko module) so that the WINFAST PVR2000XP remotes can work
again in Fedora/Linux.
Comment 1 Need Real Name 2007-11-07 12:15:37 EST
Created attachment 250501 [details]
Patch for lirc winfast2000XP
Comment 2 Need Real Name 2007-11-17 21:31:42 EST
Any comment on including this patch???????
Comment 3 Jarod Wilson 2007-11-19 15:28:21 EST
Makes sense to me. Has anyone submitted this to v4l/dvb upstream?
Comment 4 Need Real Name 2007-12-09 15:06:13 EST
Any progress on getting this included?
I have not submitted it to v4l/dvb upstream (don't know what it is or how to do
it :)
Comment 5 Need Real Name 2007-12-18 11:12:31 EST
Note I have upgraded to F8 and the patch STILL works and is necessary on FC8
kernel 2.6.23
Comment 6 Hans de Goede 2008-01-14 03:55:00 EST
Quick intro: I'm a Fedora contributer doing some kernel bug triaging

Dear bugzilla@kosowsky.org, many thanks for the patch, great work! Unfortunately
the Fedora kernel maintainers are way to busy to forward patches upstream (I've
tried this path myself in the past and failed). As Jarod tried to explain in
comment #3, the proper procedure to get patches in the kernel is to send them
upstream.

Please subscribe to this mailinglist:
https://www.redhat.com/mailman/listinfo/video4linux-list
And send a mail with your patch there (once your patch has been accepted you can
unsubscribe again, but please stay subscribed while the patch is being discussed).

Thanks!


Closing this with a resolution of upstream as that is the proper place to handle
this.

Note You need to log in before you can comment on or make changes to this bug.